org.richfaces.model

## Class TreeNodeImpl

- java.lang.Object
- - org.richfaces.model.TreeNodeImpl

- All Implemented Interfaces:
    TreeNode

      public class TreeNodeImpl
      extends Object
      implements TreeNode

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeNodeImpl()`
    `TreeNodeImpl(boolean leaf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChild(Object key, TreeNode child)`
    `TreeNode` | `getChild(Object key)`
    `Iterator<Object>` | `getChildrenKeysIterator()`
    `int` | `indexOf(Object key)`
    `void` | `insertChild(int idx, Object key, TreeNode child)`
    `boolean` | `isLeaf()`
    `void` | `removeChild(Object key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeNodeImpl

          public TreeNodeImpl()

    - #### TreeNodeImpl

          public TreeNodeImpl(boolean leaf)

  - ### Method Detail

    - #### addChild

          public void addChild(Object key,
                               TreeNode child)

      Specified by:
        `addChild` in interface `TreeNode`

    - #### insertChild

          public void insertChild(int idx,
                                  Object key,
                                  TreeNode child)

      Specified by:
        `insertChild` in interface `TreeNode`

    - #### removeChild

          public void removeChild(Object key)

      Specified by:
        `removeChild` in interface `TreeNode`

    - #### getChild

          public TreeNode getChild(Object key)

      Specified by:
        `getChild` in interface `TreeNode`

    - #### getChildrenKeysIterator

          public Iterator<Object> getChildrenKeysIterator()

      Specified by:
        `getChildrenKeysIterator` in interface `TreeNode`

    - #### indexOf

          public int indexOf(Object key)

      Specified by:
        `indexOf` in interface `TreeNode`

    - #### isLeaf

          public boolean isLeaf()

      Specified by:
        `isLeaf` in interface `TreeNode`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.